## gdal 3.12.0~rc1+dfsg

=== frmts/CMakeLists.txt ===
# CMake4GDAL project is distributed under MIT license. See accompanying file LICENSE.txt.

set(FRMT_SOURCES gdalallregister.cpp)

get_cmake_property(_variableNames VARIABLES)
set(EXTERNAL_DEFERRED_PLUGINS_SOURCE_CODE "")
foreach (_variableName ${_variableNames})
    unset(MATCHED)
    string(REGEX MATCH "ADD_EXTERNAL_DEFERRED_PLUGIN_(.*)" MATCHED ${_variableName})
    if (NOT MATCHED)
        continue()
    endif()
    if (EXTERNAL_DEFERRED_PLUGINS_SOURCE_CODE STREQUAL "")
        set(EXTERNAL_DEFERRED_PLUGINS_SOURCE_CODE "// File generated by frmts/CMakeLists.txt. DO NOT EDIT !\nextern void DeclareExternalDeferredPlugins();\nvoid DeclareExternalDeferredPlugins()\n{\n")
    endif()
    string(APPEND EXTERNAL_DEFERRED_PLUGINS_SOURCE_CODE "    // Plugin ${CMAKE_MATCH_1}\n    extern void DeclareDeferred${CMAKE_MATCH_1}();\n    DeclareDeferred${CMAKE_MATCH_1}();\n")
    list(APPEND FRMT_SOURCES "${${_variableName}}")
endforeach()
if (NOT EXTERNAL_DEFERRED_PLUGINS_SOURCE_CODE STREQUAL "")
    string(APPEND EXTERNAL_DEFERRED_PLUGINS_SOURCE_CODE "}\n")
    file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/external_deferred_plugins.c" "${EXTERNAL_DEFERRED_PLUGINS_SOURCE_CODE}")
    list(APPEND FRMT_SOURCES "${CMAKE_CURRENT_BINARY_DIR}/external_deferred_plugins.c")
endif()

add_library(gdal_frmts OBJECT ${FRMT_SOURCES})
if (NOT EXTERNAL_DEFERRED_PLUGINS_SOURCE_CODE STREQUAL "")
    target_compile_definitions(gdal_frmts PRIVATE -DHAVE_EXTERNAL_DEFERRED_PLUGINS)
endif()

include(GdalDriverHelper)
include(CMakeDependentOption)

# JPEG must be defined before GTiff
gdal_dependent_format(jpeg "JPEG image format" "GDAL_USE_JPEG OR GDAL_USE_JPEG_INTERNAL")

# base driver provide frmt core functions
gdal_optional_format(raw "Raw formats:EOSAT FAST Format, FARSITE LCP and Vexcel MFF2 Image")
# JPEG must be defined before GTiff

# Exception to the rule: enable the GTiff driver by default, even if
# GDAL_BUILD_OPTIONAL_DRIVERS=OFF.
if (NOT DEFINED GDAL_ENABLE_DRIVER_GTIFF AND
    DEFINED GDAL_BUILD_OPTIONAL_DRIVERS AND
    NOT GDAL_BUILD_OPTIONAL_DRIVERS AND
    (GDAL_USE_TIFF OR GDAL_USE_TIFF_INTERNAL) AND
    (GDAL_USE_GEOTIFF OR GDAL_USE_GEOTIFF_INTERNAL))
    message(WARNING "Enabling GDAL_ENABLE_DRIVER_GTIFF=ON, despite GDAL_BUILD_OPTIONAL_DRIVERS=OFF. You can of course override this choice by setting GDAL_ENABLE_DRIVER_GTIFF=OFF")
    option(GDAL_ENABLE_DRIVER_GTIFF "Set ON to build GeoTIFF image format format" ON)
endif()

gdal_dependent_format(gtiff "GeoTIFF image format" "GDAL_USE_TIFF OR GDAL_USE_TIFF_INTERNAL;GDAL_USE_GEOTIFF OR GDAL_USE_GEOTIFF_INTERNAL")
set_package_properties(TIFF PROPERTIES PURPOSE "gdal_GTIFF: GeoTIFF image format")
gdal_format(mem "Read/write data in Memory")

# Exception to the rule: enable the VRT driver by default, even if
# GDAL_BUILD_OPTIONAL_DRIVERS=OFF.
if (NOT DEFINED GDAL_ENABLE_DRIVER_VRT AND
    DEFINED GDAL_BUILD_OPTIONAL_DRIVERS AND
    NOT GDAL_BUILD_OPTIONAL_DRIVERS)
    message(WARNING "Enabling GDAL_ENABLE_DRIVER_VRT=ON, despite GDAL_BUILD_OPTIONAL_DRIVERS=OFF. You can of course override this choice by setting GDAL_ENABLE_DRIVER_VRT=OFF")
    option(GDAL_ENABLE_DRIVER_VRT "Set ON to build Virtual GDAL Datasets" ON)
endif()

gdal_optional_format(vrt "Virtual GDAL Datasets")
if (NOT GDAL_ENABLE_DRIVER_VRT)
    # Even if we don't enable the driver (Open method), we still need to compile
    # Most of it
    add_subdirectory(vrt)
endif()

# Note: derived is derived of vrt
gdal_optional_format(derived "Derived datasets")

gdal_optional_format(gti "GDAL Tile Index")

# default formats

if (CMAKE_BUILD_TYPE MATCHES "Debug" OR GDAL_ENABLE_DRIVER_NULL)
  gdal_optional_format(null "NULL dummy driver")
endif ()

gdal_optional_format(libertiff "GeoTIFF support through libertiff library")
gdal_optional_format(hfa "Erdas Imagine .img")
gdal_optional_format(nitf "National Imagery Transmission Format")
gdal_optional_format(gxf "GXF")
gdal_optional_format(aaigrid "Arc/Info ASCII Grid Format.")
gdal_optional_format(ceos "CEOS translator")
gdal_optional_format(ceos2 "ASI CEOS translator" DRIVER_NAME_OPTION "SAR_CEOS")
gdal_optional_format(dted "Military Elevation Data")
gdal_optional_format(jdem "JDEM driver")
gdal_optional_format(envisat "Envisat")
gdal_optional_format(l1b "NOAA Polar Orbiter Level 1b Data Set (AVHRR)")
gdal_optional_format(rs2 "RS2 -- RadarSat 2 XML Product")
gdal_optional_format(ilwis "Raster Map")
gdal_optional_format(rmf "RMF --- Raster Matrix Format")
gdal_optional_format(leveller "Daylon Leveller heightfield")
gdal_optional_format(srtmhgt "SRTM HGT File Read Support")
gdal_optional_format(idrisi "Idrisi Raster Format")
gdal_optional_format(gsg "Implements the Golden Software Surfer 7 Binary Grid Format.")
gdal_optional_format(ers "ERMapper .ERS")
gdal_optional_format(jaxapalsar "JAXA PALSAR Level 1.1 and Level 1.5 processed products support")
gdal_optional_format(dimap "SPOT Dimap Driver")
gdal_optional_format(gff "Ground-based SAR Applitcations Testbed File Format driver")
gdal_optional_format(cosar "COSAR -- TerraSAR-X Complex SAR Data Product")
gdal_optional_format(pds "USGS Astrogeology ISIS Cube (Version 2)")
gdal_optional_format(adrg "ADRG reader and ASRP/USRP Reader")
gdal_optional_format(coasp "DRDC Configurable Airborne SAR Processor (COASP) data reader")
gdal_optional_format(tsx "TerraSAR-X XML Product Support")
gdal_optional_format(terragen "Terragen&trade; Terrain File")
gdal_optional_format(msgn "Meteosat Second Generation (MSG) Native Archive Format (.nat)")
gdal_optional_format(til "EarthWatch .TIL Driver")
gdal_optional_format(northwood "NWT_GRD/NWT_GRC -- Northwood/Vertical Mapper File Format")
gdal_optional_format(saga "SAGA GIS Binary Driver")
gdal_optional_format(xyz "ASCII Gridded XYZ")
include(avif/driver_declaration.cmake)
gdal_dependent_format(heif "HEIF" "GDAL_USE_HEIF")
gdal_optional_format(esric "ESRI compact cache")
gdal_optional_format(hf2 "HF2/HFZ heightfield raster")
gdal_optional_format(kmlsuperoverlay "")
gdal_optional_format(ctg "CTG driver")
gdal_optional_format(zmap "ZMAP")
gdal_optional_format(ngsgeoid "NOAA NGS Geoid Height Grids")
gdal_optional_format(iris "IRIS driver")
gdal_optional_format(map "OziExplorer .MAP")
gdal_optional_format(cals "CALS type 1")
set_package_properties(TIFF PROPERTIES PURPOSE "gdal_CALS: CALS type 1 driver")
gdal_optional_format(safe "SAFE -- Sentinel-1 SAFE XML Product")
gdal_optional_format(sentinel2 "Driver for Sentinel-2 Level-1B, Level-1C and Level-2A products.")
gdal_optional_format(prf "PHOTOMOD Raster File")
gdal_optional_format(mrf "Meta raster format")
gdal_optional_format(wmts "OGC Web Map Tile Service")
gdal_optional_format(grib "WMO General Regularly-distributed Information in Binary form")
gdal_optional_format(bmp "Microsoft Windows Device Independent Bitmap")
gdal_optional_format(tga "TGA")
gdal_optional_format(stacta "STACTA")
gdal_optional_format(snap_tiff "SNAP TIFF")

gdal_optional_format(bsb "Maptech/NOAA BSB Nautical Chart Format")
gdal_dependent_format(aigrid "Arc/Info Binary Grid Format" "OGR_ENABLE_DRIVER_AVC")
gdal_optional_format(usgsdem "USGS ASCII DEM (and CDED)")
gdal_optional_format(airsar "AirSAR Polarimetric Format")
gdal_optional_format(pcidsk "PCI Geomatics Database File")
gdal_optional_format(sigdem "Scaled Integer Gridded DEM .sigdem Driver")
gdal_dependent_format(msg "Meteosat Second Generation" "GDAL_USE_PUBLICDECOMPWT")
gdal_optional_format(rik "RIK -- Swedish Grid Maps")
gdal_optional_format(stacit "STACIT")
gdal_optional_format(pdf "Geospatial PDF") # write only if none of GDAL_USE_POPPLER, GDAL_USE_PODOFO or GDAL_USE_PDFIUM
                                           # is set
gdal_optional_format(rcm "Radarsat Constellation Mission")
gdal_optional_format(gdalg "GDAL Streamed Algorithm Format")

# formats with external library dependency
gdal_dependent_format(png "PNG image format" "GDAL_USE_PNG OR GDAL_USE_PNG_INTERNAL")
gdal_dependent_format(gif "Graphics Interchange Format" "GDAL_USE_GIF OR GDAL_USE_GIF_INTERNAL")

gdal_dependent_format(wcs "OGC Web Coverage Service" "GDAL_USE_CURL")
gdal_dependent_format(http "HTTP driver" "GDAL_USE_CURL")

gdal_dependent_format(netcdf "NetCDF network Common Data Form" "GDAL_USE_NETCDF")
gdal_optional_format(zarr "ZARR")
gdal_dependent_format(daas "Airbus DS Intelligence Data As A Service(DAAS)" "GDAL_USE_CURL")
gdal_dependent_format(eeda "Earth Engine Data API" "GDAL_USE_CURL")
gdal_dependent_format(fits "FITS Driver" "GDAL_USE_CFITSIO")
gdal_dependent_format(hdf5 "Hierarchical Data Format Release 5 (HDF5)" "GDAL_USE_HDF5")
gdal_dependent_format(plmosaic "PLMosaic (Planet Labs Mosaics API)" "GDAL_USE_CURL")
gdal_dependent_format(wms "Web Map Services" "GDAL_USE_CURL")
gdal_dependent_format(ogcapi "OGCAPI" "GDAL_USE_CURL")
gdal_dependent_format(gta "Generic Tagged Arrays" "GDAL_USE_GTA")
gdal_dependent_format(webp "WebP" "GDAL_USE_WEBP")
gdal_dependent_format(hdf4 "Hierarchical Data Format Release 4 (HDF4)" "GDAL_USE_HDF4")
gdal_dependent_format(mbtiles "MBTile" "GDAL_USE_SQLITE3;OGR_ENABLE_DRIVER_GPKG;OGR_ENABLE_DRIVER_MVT")
gdal_dependent_format(postgisraster "PostGIS Raster driver" "GDAL_USE_POSTGRESQL")
gdal_dependent_format(dds "DirectDraw Surface" "GDAL_USE_CRNLIB")
gdal_dependent_format(kea "Kea" "GDAL_USE_KEA;GDAL_USE_HDF5")
include(openjpeg/driver_declaration.cmake)
include(tiledb/driver_declaration.cmake)
gdal_dependent_format(exr "EXR support via OpenEXR library" "GDAL_USE_OPENEXR")
gdal_dependent_format(pcraster "PCRaster CSF 2.0 raster file driver" "GDAL_USE_LIBCSF OR GDAL_USE_LIBCSF_INTERNAL")
gdal_dependent_format(jpegxl "JPEG-XL" "GDAL_USE_JXL")
gdal_dependent_format(basisu_ktx2 "Basis Universal and KTX2 texture formats" "GDAL_USE_BASISU")
if( NOT WORDS_BIGENDIAN )
    gdal_optional_format(miramon "MiraMonRaster")
endif()


# ######################################################################################################################
# driver with proprietary libraries Kakadu software SDK
include(jp2kak/driver_declaration.cmake)
gdal_dependent_format(jpipkak "JPIP Streaming" "GDAL_USE_KDU")
# LizardTech's decoding software development kit (DSDK)
include(mrsid/driver_declaration.cmake)
include(georaster/driver_declaration.cmake)
include(ecw/driver_declaration.cmake)

# Register all frmt drivers according to FRMT_<driver> flags
gdal_standard_includes(gdal_frmts)
add_dependencies(gdal_frmts generate_gdal_version_h)
if (ENABLE_GNM)
  target_compile_definitions(gdal_frmts PRIVATE -DGNM_ENABLED)
  target_include_directories(gdal_frmts PRIVATE $<TARGET_PROPERTY:gnm_frmts,SOURCE_DIR>)
endif ()
target_include_directories(
  gdal_frmts PRIVATE $<TARGET_PROPERTY:gdal_vrt,SOURCE_DIR> $<TARGET_PROPERTY:ogrsf_generic,SOURCE_DIR>)
target_sources(${GDAL_LIB_TARGET_NAME} PRIVATE $<TARGET_OBJECTS:gdal_frmts>)
set_property(TARGET gdal_frmts PROPERTY POSITION_INDEPENDENT_CODE ${GDAL_OBJECT_LIBRARIES_POSITION_INDEPENDENT_CODE})

=== gnm/CMakeLists.txt ===
# CMake4GDAL project is distributed under MIT license. See accompanying file LICENSE.txt.

if (ENABLE_GNM)
  add_subdirectory(gnm_frmts)
  add_library(
    gnm OBJECT
    gnm_priv.h
    gnmlayer.cpp
    gnmgenericnetwork.cpp
    gnmgraph.cpp
    gnmnetwork.cpp
    gnmresultlayer.cpp
    gnmrule.cpp)
  include(TargetPublicHeader)
  target_public_header(TARGET gdal HEADERS gnm.h gnm_api.h gnmgraph.h)
  gdal_standard_includes(gnm)
  add_dependencies(gnm generate_gdal_version_h)
  target_compile_options(gnm PRIVATE ${GDAL_CXX_WARNING_FLAGS} ${WFLAG_OLD_STYLE_CAST} ${WFLAG_EFFCXX})
  target_include_directories(gnm PRIVATE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/gnm_frmts)
  target_sources(${GDAL_LIB_TARGET_NAME} PRIVATE $<TARGET_OBJECTS:gnm>)
  set_property(TARGET gnm PROPERTY POSITION_INDEPENDENT_CODE ${GDAL_OBJECT_LIBRARIES_POSITION_INDEPENDENT_CODE})
endif ()

=== frmts/aigrid/CMakeLists.txt ===
# CMake4GDAL project is distributed under MIT license. See accompanying file LICENSE.txt.

add_gdal_driver(
  TARGET gdal_AIGrid
  SOURCES aigrid.h aigccitt.c aigdataset.cpp aigopen.c gridlib.c
  BUILTIN
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)

gdal_standard_includes(gdal_AIGrid)
target_include_directories(gdal_AIGrid PRIVATE $<TARGET_PROPERTY:ogr_AVC,SOURCE_DIR>
                                               $<TARGET_PROPERTY:ogr_Shape,SOURCE_DIR>)


add_executable(aitest EXCLUDE_FROM_ALL aitest.c ../../ogr/ogrpgeogeometry.cpp)
target_include_directories(aitest PRIVATE $<TARGET_PROPERTY:gdal_AIGrid,SOURCE_DIR>)
target_link_libraries(aitest PRIVATE $<TARGET_NAME:${GDAL_LIB_TARGET_NAME}> gdal_AIGrid ogr_AVC ogr_Shape
                                   $<TARGET_OBJECTS:shapelib>)

=== frmts/airsar/CMakeLists.txt ===
# CMake4GDAL project is distributed under MIT license. See accompanying file LICENSE.txt.

add_gdal_driver(TARGET gdal_AirSAR SOURCES airsardataset.cpp
  PLUGIN_CAPABLE
  NO_DEPS
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)
gdal_standard_includes(gdal_AirSAR)

=== frmts/coasp/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_COASP SOURCES coasp_dataset.cpp
  PLUGIN_CAPABLE
  NO_DEPS
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)
gdal_standard_includes(gdal_COASP)

=== frmts/cosar/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_COSAR SOURCES cosar_dataset.cpp
  PLUGIN_CAPABLE
  NO_DEPS
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)
gdal_standard_includes(gdal_COSAR)

=== frmts/daas/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_DAAS SOURCES daasdataset.cpp PLUGIN_CAPABLE NO_DEPS)
gdal_standard_includes(gdal_DAAS)

=== frmts/envisat/CMakeLists.txt ===
add_gdal_driver(
  TARGET gdal_Envisat
  SOURCES EnvisatFile.h
          records.h
          adsrange.hpp
          timedelta.hpp
          EnvisatFile.c
          records.c
          adsrange.cpp
          unwrapgcps.cpp
          envisatdataset.cpp
  PLUGIN_CAPABLE
  NO_DEPS
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)
gdal_standard_includes(gdal_Envisat)
target_include_directories(gdal_Envisat PRIVATE ${GDAL_RASTER_FORMAT_SOURCE_DIR}/raw)

add_executable(dumpgeo EXCLUDE_FROM_ALL dumpgeo.c EnvisatFile.c EnvisatFile.h)
target_include_directories(dumpgeo PRIVATE $<TARGET_PROPERTY:cpl,SOURCE_DIR>)
target_link_libraries(dumpgeo PRIVATE $<TARGET_NAME:${GDAL_LIB_TARGET_NAME}>)

add_executable(envisat_dump EXCLUDE_FROM_ALL envisat_dump.c EnvisatFile.c EnvisatFile.h)
target_link_libraries(envisat_dump PRIVATE $<TARGET_NAME:${GDAL_LIB_TARGET_NAME}>)

=== frmts/grib/CMakeLists.txt ===
add_gdal_driver(
  TARGET gdal_GRIB
  SOURCES gribdataset.cpp
          gribcreatecopy.cpp
          degrib/degrib/clock.c
          degrib/degrib/degrib1.cpp
          degrib/degrib/degrib2.cpp
          degrib/degrib/inventory.cpp
          degrib/degrib/metaname.cpp
          degrib/degrib/myerror.cpp
          degrib/degrib/grib1tab.cpp
          degrib/degrib/myutil.c
          degrib/degrib/metaparse.cpp
          degrib/degrib/weather.c
          degrib/degrib/metaprint.cpp
          degrib/degrib/grib2api.c
          degrib/degrib/myassert.c
          degrib/degrib/scan.c
          degrib/degrib/tendian.cpp
          degrib/g2clib/gridtemplates.c
          degrib/g2clib/drstemplates.c
          degrib/g2clib/pdstemplates.c
          degrib/g2clib/gbits.c
          degrib/g2clib/g2_free.c
          degrib/g2clib/g2_unpack1.c
          degrib/g2clib/g2_unpack2.c
          degrib/g2clib/g2_unpack3.c
          degrib/g2clib/g2_unpack4.c
          degrib/g2clib/g2_unpack5.c
          degrib/g2clib/g2_unpack6.c
          degrib/g2clib/g2_unpack7.c
          degrib/g2clib/g2_info.c
          degrib/g2clib/g2_getfld.c
          degrib/g2clib/simunpack.c
          degrib/g2clib/comunpack.c
          degrib/g2clib/pack_gp.c
          degrib/g2clib/reduce.c
          degrib/g2clib/specunpack.c
          degrib/g2clib/rdieee.c
          degrib/g2clib/mkieee.c
          degrib/g2clib/int_power.c
          degrib/g2clib/simpack.c
          degrib/g2clib/compack.c
          degrib/g2clib/cmplxpack.c
          degrib/g2clib/misspack.c
          degrib/g2clib/dec_jpeg2000.cpp
          degrib/g2clib/jpcunpack.c
          degrib/degrib/hazard.c
      CORE_SOURCES
          gribdrivercore.cpp
      PLUGIN_CAPABLE_IF
          "NOT GDAL_USE_PNG_INTERNAL\\\;NOT GDAL_USE_ZLIB_INTERNAL"
      NO_DEPS
      NO_SHARED_SYMBOL_WITH_CORE
      NO_CXX_WFLAGS_EFFCXX
      NO_WFLAG_OLD_STYLE_CAST
)

if(NOT TARGET gdal_GRIB)
    return()
endif()

gdal_standard_includes(gdal_GRIB)

if (NOT USE_ONLY_EMBEDDED_RESOURCE_FILES)
    set(GDAL_DATA_FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_versions.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_center.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_process.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_subcenter.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_0.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_13.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_14.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_15.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_16.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_17.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_18.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_190.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_191.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_19.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_1.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_20.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_21.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_2.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_3.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_4.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_5.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_6.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_7.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_22.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_0.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_191.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_1.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_2.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_3.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_4.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_1_0.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_1_1.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_1_2.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_20_0.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_20_1.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_20_2.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_20_3.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_0.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_3.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_4.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_5.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_6.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_7.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_0.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_1.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_2.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_3.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_4.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_5.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_6.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_0.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_10.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_1.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_2.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_3.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_4.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_5.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_6.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_7.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_8.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_9.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_Canada.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_HPC.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_index.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_MRMS.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_NCEP.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_NDFD.csv
        ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_5.csv
    )
    set_property(
      TARGET ${GDAL_LIB_TARGET_NAME}
      APPEND
      PROPERTY RESOURCE "${GDAL_DATA_FILES}")
endif()

if (EMBED_RESOURCE_FILES)
    add_driver_embedded_resources(gdal_GRIB GDAL_ENABLE_DRIVER_GRIB_PLUGIN degrib/degrib/embedded_resources.c)
endif()
if (USE_ONLY_EMBEDDED_RESOURCE_FILES)
    target_compile_definitions(gdal_GRIB PRIVATE USE_ONLY_EMBEDDED_RESOURCE_FILES)
endif()

target_include_directories(
  gdal_GRIB PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/degrib/degrib>
                    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/degrib/g2clib> $<TARGET_PROPERTY:gdal_MEM,SOURCE_DIR>)
target_compile_options(gdal_GRIB PRIVATE ${GDAL_SOFTWARNFLAGS}) # FIXME: only needed for files within degrib/ actually

if (BUILD_APPS)
  target_compile_definitions(gdal_GRIB PRIVATE -DBUILD_APPS)
endif()

if (GDAL_USE_PNG_INTERNAL)
  gdal_add_vendored_lib(gdal_GRIB libpng)
  target_compile_definitions(gdal_GRIB PRIVATE -DUSE_PNG)
  target_sources(gdal_GRIB PRIVATE degrib/g2clib/pngunpack.c degrib/g2clib/dec_png.c)
endif()

if (GDAL_USE_ZLIB_INTERNAL)
  gdal_add_vendored_lib(gdal_GRIB libz)
endif ()

if (GDAL_USE_PNG AND NOT GDAL_USE_PNG_INTERNAL)
  target_compile_definitions(gdal_GRIB PRIVATE -DUSE_PNG)
  gdal_target_link_libraries(gdal_GRIB PRIVATE PNG::PNG)
  target_sources(gdal_GRIB PRIVATE degrib/g2clib/pngunpack.c degrib/g2clib/dec_png.c)
endif ()

if (GDAL_USE_ZLIB AND NOT GDAL_USE_ZLIB_INTERNAL)
  gdal_target_link_libraries(gdal_GRIB PRIVATE ZLIB::ZLIB)
endif ()

if (GDAL_USE_LIBAEC)
  target_compile_definitions(gdal_GRIB PRIVATE -DUSE_AEC)
  gdal_target_link_libraries(gdal_GRIB PRIVATE LIBAEC::LIBAEC)
  target_sources(gdal_GRIB PRIVATE degrib/g2clib/aecunpack.c)
endif ()

=== frmts/hf2/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_HF2 SOURCES hf2dataset.cpp
  PLUGIN_CAPABLE
  NO_DEPS
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)

gdal_standard_includes(gdal_HF2)

=== frmts/jdem/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_JDEM SOURCES jdemdataset.cpp
  PLUGIN_CAPABLE
  NO_DEPS
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)
gdal_standard_includes(gdal_JDEM)

=== frmts/jpipkak/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_JPIPKAK
                SOURCES jpipkak_headers.h
                        jpipkakdataset.h
                        jpipkakdataset.cpp
                CORE_SOURCES jpipkakdrivercore.cpp
                PLUGIN_CAPABLE
                NO_SHARED_SYMBOL_WITH_CORE
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)

if(NOT TARGET gdal_JPIPKAK)
    return()
endif()

gdal_standard_includes(gdal_JPIPKAK)
gdal_target_link_libraries(gdal_JPIPKAK PRIVATE KDU::KDU)

=== debian/changelog ===
gdal (3.12.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Suggest libgdal-plugin-grass instead of libgdal-grass.
  * Add copyright for debian/*.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Nov 2025 21:13:39 +0100

=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               doxygen,
               graphviz,
               chrpath,
               bash-completion,
               libarchive-dev,
               libarmadillo-dev,
               libavif-dev,
               libblosc-dev,
               libcfitsio-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libdeflate-dev,
               libexpat1-dev,
               libexprtk-dev,
               libfreexl-dev (>= 1.0.0),
               libfyba-dev,
               libgeos-dev,
               libgeotiff-dev (>= 1.5.0),
               libgif-dev,
               libhdf4-dev,
               libhdf5-dev (>= 1.8.8),
               libheif-dev,
               libjpeg-dev,
               libjson-c-dev,
               libjxl-dev,
               libkml-dev (>= 1.3.0~rc0-3),
               liblz4-dev,
               liblzma-dev,
               libmuparser-dev,
       default-libmysqlclient-dev,
               libnetcdf-dev (>= 1:4.0.0),
               libopenjp2-7-dev,
               libpcre2-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpq-dev,
               libproj-dev (>= 6.0.0),
               libqhull-dev,
               libspatialite-dev,
               libsqlite3-dev,
               libtiff-dev,
               liburiparser-dev,
               libwebp-dev,
               libxerces-c-dev,
               libxml2-dev,
               libzstd-dev,
               netcdf-bin,
               patch,
               pkgconf,
               pkg-kde-tools,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               swig,
               unixodbc-dev (>= 2.2.11),
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git -b experimental
Homepage: http://www.gdal.org/

Package: libgdal38
Architecture: any
Multi-Arch: same
Section: libs
Depends: gdal-data (>= ${source:Version}),
         gdal-plugins (>= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal38 (= ${binary:Version}),
         libarchive-dev,
         libarmadillo-dev,
         libavif-dev,
         libblosc-dev,
         libc6-dev,
         libcfitsio-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libdeflate-dev,
         libexpat1-dev,
         libexprtk-dev,
         libfreexl-dev,
         libfyba-dev,
         libgeos-dev,
         libgeotiff-dev (>= 1.5.0),
         libgif-dev,
         libhdf4-dev,
         libhdf5-dev,
         libheif-dev,
         libjpeg-dev,
         libjson-c-dev,
         libjxl-dev,
         libkml-dev,
         libltdl-dev,
         liblz4-dev,
         liblzma-dev,
         libmuparser-dev,
 default-libmysqlclient-dev,
         libnetcdf-dev,
         libopenjp2-7-dev,
         libpcre2-dev,
         libpng-dev,
         libpoppler-private-dev,
         libpq-dev,
         libproj-dev (>= 6.0.0),
         libqhull-dev,
         libspatialite-dev,
         libsqlite3-dev,
         libtiff-dev,
         liburiparser-dev,
         libwebp-dev,
         libxerces-c-dev,
         libxml2-dev,
         libzstd-dev,
         unixodbc-dev,
         ${misc:Depends}
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script).

Package: gdal-bin
Architecture: any
Multi-Arch: foreign
Depends: python3-gdal (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-plugin-grass
Breaks: gdal-bin (<< 1.10.0-0~),
        python-gdal (<< 2.4.3~)
Replaces: python-gdal (<< 2.4.3~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

Package: gdal-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Data files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the GDAL data files.

Package: gdal-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Plugins
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains data for the plugins.

Package: python3-gdal
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gdal-bin
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for the GDAL/OGR library.

## gdal 3.12.0%2Bdfsg

=== frmts/bsb/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_BSB SOURCES bsb_read.h bsb_read.c bsbdataset.cpp
  PLUGIN_CAPABLE
  NO_DEPS
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)
gdal_standard_includes(gdal_BSB)

if (NOT GDAL_ENABLE_DRIVER_BSB_PLUGIN)
  add_executable(bsb2raw EXCLUDE_FROM_ALL bsb2raw.c)
  target_include_directories(bsb2raw PRIVATE $<TARGET_PROPERTY:gdal_BSB,SOURCE_DIR>)
  target_link_libraries(bsb2raw PRIVATE $<TARGET_NAME:${GDAL_LIB_TARGET_NAME}> gdal_BSB)
endif ()

=== frmts/gti/CMakeLists.txt ===
add_gdal_driver(
  TARGET gdal_GTI
  PLUGIN_CAPABLE
  NO_DEPS
  SOURCES gdaltileindexdataset.cpp
)
gdal_standard_includes(gdal_GTI)
target_include_directories(gdal_GTI PRIVATE ${GDAL_RASTER_FORMAT_SOURCE_DIR}/vrt
                                            $<TARGET_PROPERTY:ogrsf_generic,SOURCE_DIR>)

set(GDAL_DATA_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/data/gdaltileindex.xsd
)
set_property(
  TARGET ${GDAL_LIB_TARGET_NAME}
  APPEND
  PROPERTY RESOURCE "${GDAL_DATA_FILES}")

if (GDAL_USE_GEOS)
  gdal_target_link_libraries(gdal_GTI PRIVATE ${GEOS_TARGET})
  target_compile_definitions(gdal_GTI PRIVATE -DHAVE_GEOS=1)
endif ()

if (GDAL_ENABLE_DRIVER_GTI_PLUGIN)
    target_compile_definitions(gdal_GTI PRIVATE -DBUILT_AS_PLUGIN)
endif()

if (GDAL_ENABLE_ARM_NEON_OPTIMIZATIONS)
  target_compile_definitions(gdal_GTI PRIVATE -DUSE_NEON_OPTIMIZATIONS)
endif()

if (GDAL_ENABLE_ALGORITHMS)
  target_compile_definitions(gdal_GTI PRIVATE -DGDAL_ENABLE_ALGORITHMS)
endif()

=== frmts/vrt/CMakeLists.txt ===
option(GDAL_VRT_ENABLE_RAWRASTERBAND "Whether to enable the VRTRawRasterBand functionality (access to raw files)" ON)

add_gdal_driver(
  TARGET gdal_vrt
  BUILTIN
  SOURCES gdal_vrt.h
          vrtdataset.h
          vrtderivedrasterband.cpp
          vrtdriver.cpp
          vrtexpression.h
          vrtfilters.cpp
          vrtrasterband.cpp
          vrtsourcedrasterband.cpp
          vrtsources.cpp
          vrtwarped.cpp
          vrtdataset.cpp
          pixelfunctions.cpp
          vrtpansharpened.cpp
          vrtprocesseddataset.cpp
          vrtprocesseddatasetfunctions.cpp
          vrtmultidim.cpp
          vrtreclassifier.h
          vrtreclassifier.cpp
)
gdal_standard_includes(gdal_vrt)
if (GDAL_VRT_ENABLE_RAWRASTERBAND)
    target_sources(gdal_vrt PRIVATE vrtrawrasterband.cpp)
    target_compile_definitions(gdal_vrt PRIVATE GDAL_VRT_ENABLE_RAWRASTERBAND)
else()
    target_compile_definitions(gdal_vrt PRIVATE GDAL_VRT_DISABLE_RAWRASTERBAND)
endif()

target_include_directories(gdal_vrt PRIVATE ${GDAL_RASTER_FORMAT_SOURCE_DIR}/raw
                                            $<TARGET_PROPERTY:ogrsf_generic,SOURCE_DIR>)

if (GDAL_ENABLE_ARM_NEON_OPTIMIZATIONS)
  target_compile_definitions(gdal_vrt PRIVATE -DUSE_NEON_OPTIMIZATIONS)
endif()

if (GDAL_USE_EXPRTK)
    target_sources(gdal_vrt PRIVATE vrtexpression_exprtk.cpp)
        if (MSVC)
            set_source_files_properties(vrtexpression_exprtk.cpp PROPERTIES COMPILE_FLAGS "/bigobj")
        elseif(MINGW)
            set_source_files_properties(vrtexpression_exprtk.cpp PROPERTIES COMPILE_FLAGS "-Wa,-mbig-obj")
        endif()
    target_compile_definitions(gdal_vrt PRIVATE GDAL_VRT_ENABLE_EXPRTK)
    target_link_libraries(gdal_vrt PRIVATE ExprTk::ExprTk)
endif()

if (GDAL_USE_MUPARSER)
    target_sources(gdal_vrt PRIVATE vrtexpression_muparser.cpp)
    gdal_target_link_libraries(gdal_vrt PRIVATE muparser::muparser)
    target_compile_definitions(gdal_vrt PRIVATE GDAL_VRT_ENABLE_MUPARSER)
endif()

set(GDAL_DATA_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/data/gdalvrt.xsd
)
set_property(
  TARGET ${GDAL_LIB_TARGET_NAME}
  APPEND
  PROPERTY RESOURCE "${GDAL_DATA_FILES}")

if (GDAL_USE_GEOS)
  gdal_target_link_libraries(gdal_vrt PRIVATE ${GEOS_TARGET})
  target_compile_definitions(gdal_vrt PRIVATE -DHAVE_GEOS=1)
endif ()

include(TargetPublicHeader)
target_public_header(TARGET gdal HEADERS vrtdataset.h gdal_vrt.h)

# because of use of GDALOpenVerticalShiftGrid
set_property(SOURCE vrtwarped.cpp PROPERTY SKIP_UNITY_BUILD_INCLUSION ON)

if (NOT GDAL_ENABLE_DRIVER_VRT)
    target_compile_definitions(gdal_vrt PRIVATE -DNO_OPEN)
endif()

=== ogr/ogrsf_frmts/adbc/CMakeLists.txt ===
add_gdal_driver(
  TARGET ogr_ADBC
  SOURCES
      ogr_adbc.h
      ogradbcdriver.cpp
      ogradbcdataset.cpp
      ogradbclayer.cpp
      ogradbcbigquerylayer.cpp
  CORE_SOURCES ogradbcdrivercore.cpp
  PLUGIN_CAPABLE
  NO_SHARED_SYMBOL_WITH_CORE
)

if(TARGET ogr_ADBC_core AND GDAL_USE_ADBCDRIVERMANAGER AND TARGET AdbcDriverManager::adbc_driver_manager_shared)
    target_compile_definitions(ogr_ADBC_core PRIVATE OGR_ADBC_HAS_DRIVER_MANAGER)
endif()

if(NOT TARGET ogr_ADBC)
    return()
endif()

gdal_standard_includes(ogr_ADBC)
target_include_directories(ogr_ADBC PRIVATE $<TARGET_PROPERTY:ogrsf_generic,SOURCE_DIR>)

if (GDAL_USE_ADBCDRIVERMANAGER AND TARGET AdbcDriverManager::adbc_driver_manager_shared)
  gdal_target_link_libraries(ogr_ADBC PRIVATE AdbcDriverManager::adbc_driver_manager_shared)
  target_compile_definitions(ogr_ADBC PRIVATE OGR_ADBC_HAS_DRIVER_MANAGER)
endif()

=== ogr/ogrsf_frmts/edigeo/CMakeLists.txt ===
add_gdal_driver(TARGET ogr_EDIGEO SOURCES ogredigeodatasource.cpp ogredigeodriver.cpp ogr_edigeo.h ogredigeolayer.cpp
  PLUGIN_CAPABLE
  NO_DEPS
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)
gdal_standard_includes(ogr_EDIGEO)

=== ogr/ogrsf_frmts/plscenes/CMakeLists.txt ===
add_gdal_driver(TARGET ogr_PLSCENES
                SOURCES
                    ogr_plscenes.h
                    ogrplscenesdatav1dataset.cpp
                    ogrplscenesdatav1layer.cpp
                    ogrplscenesdriver.cpp
                CORE_SOURCES
                    ogrplscenesdrivercore.cpp
                PLUGIN_CAPABLE_IF "NOT GDAL_USE_JSONC_INTERNAL"
                NO_SHARED_SYMBOL_WITH_CORE
  NO_CXX_WFLAGS_EFFCXX
  NO_WFLAG_OLD_STYLE_CAST
)
if(NOT TARGET ogr_PLSCENES)
    return()
endif()

if (NOT USE_ONLY_EMBEDDED_RESOURCE_FILES)
    set(GDAL_DATA_FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/data/plscenesconf.json
    )
    set_property(
      TARGET ${GDAL_LIB_TARGET_NAME}
      APPEND
      PROPERTY RESOURCE "${GDAL_DATA_FILES}")
endif()

if (EMBED_RESOURCE_FILES)
    add_driver_embedded_resources(ogr_PLSCENES OGR_ENABLE_DRIVER_PLSCENES_PLUGIN embedded_resources.c)
endif()
if (USE_ONLY_EMBEDDED_RESOURCE_FILES)
    target_compile_definitions(ogr_PLSCENES PRIVATE USE_ONLY_EMBEDDED_RESOURCE_FILES)
endif()

gdal_standard_includes(ogr_PLSCENES)

if (GDAL_USE_JSONC_INTERNAL)
  gdal_add_vendored_lib(ogr_PLSCENES libjson)
else ()
  gdal_target_link_libraries(ogr_PLSCENES PRIVATE ${JSONC_TARGET})
endif ()
